import { InjectionToken } from '@angular/core';
import type { StrapiAuthConfig } from '../../types/StrapiAuthConfig';
import * as i0 from "@angular/core";
/**
 * This is not a real service, but it looks like it from the outside.
 * It's just an InjectionTToken used to import the config object, provided from the outside
 */
export declare const ConfigServiceInjector: InjectionToken<StrapiAuthConfig>;
export declare class ConfigService {
    constructor();
    applyRoutesConfig(config: StrapiAuthConfig): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ConfigService>;
}
