import { ChangeDetectorRef, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import * as i0 from "@angular/core";
export declare class RequestPasswordBaseComponent implements OnInit {
    protected cd: ChangeDetectorRef;
    protected router: Router;
    protected authService: AuthService;
    protected translate: TranslateService;
    redirectDelay: number;
    showMessages: any;
    resetCreateReq: any;
    submitted: boolean;
    errors: string[];
    messages: string[];
    config: {
        emailRequired: boolean;
    };
    constructor(cd: ChangeDetectorRef, router: Router, authService: AuthService, translate: TranslateService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    requestPass(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RequestPasswordBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RequestPasswordBaseComponent, "strapi-request-password-base", never, {}, {}, never, never>;
}
