import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import * as i0 from "@angular/core";
export declare class ResetPasswordBaseComponent implements OnInit {
    protected cd: ChangeDetectorRef;
    protected router: Router;
    protected route: ActivatedRoute;
    protected authService: AuthService;
    protected translate: TranslateService;
    redirectDelay: number;
    showMessages: any;
    strategy: string;
    submitted: boolean;
    errors: string[];
    messages: string[];
    passwordResetReq: any;
    config: {
        fullNameRequired: boolean;
        fullNameMinLength: number;
        fullNameMaxLength: number;
        emailRequired: boolean;
        passwordRequired: boolean;
        passwordMinLength: number;
        passwordMaxLength: number;
        termsRequired: boolean;
    };
    constructor(cd: ChangeDetectorRef, router: Router, route: ActivatedRoute, authService: AuthService, translate: TranslateService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    resetPass(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResetPasswordBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResetPasswordBaseComponent, "strapi-reset-password-base", never, {}, {}, never, never>;
}
