import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import { StrapiAuthConfig } from '../../../types/StrapiAuthConfig';
import { LoginBaseComponent } from '../../base-components/login-base/login-base.component';
import * as i0 from "@angular/core";
export declare class DefaultLoginComponent extends LoginBaseComponent {
    protected authService: AuthService;
    protected router: Router;
    protected translate: TranslateService;
    strapiAuthConfig: StrapiAuthConfig;
    constructor(authService: AuthService, router: Router, translate: TranslateService, strapiAuthConfig: StrapiAuthConfig);
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultLoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DefaultLoginComponent, "strapi-default-login", never, {}, {}, never, never>;
}
