import { ComponentFactoryResolver, ComponentRef, Renderer2, ViewContainerRef } from '@angular/core';
import { TemplateService } from '../services/template/template.service';
import AuthComponents from '../types/enums/AuthComponents';
import * as i0 from "@angular/core";
export declare class DynamicComponentDirective {
    private resolver;
    private container;
    private renderer;
    private templateService;
    protected componentRef: ComponentRef<any> | null;
    authComponent: AuthComponents | undefined | null;
    constructor(resolver: ComponentFactoryResolver, container: ViewContainerRef, renderer: Renderer2, templateService: TemplateService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicComponentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DynamicComponentDirective, "[strapiDynamicComponent]", never, { "authComponent": "authComponent"; }, {}, never>;
}
