import type { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class LanguageService {
    constructor();
    /**
     * Set default translation for StrapiAuthModule
     */
    setDefaultTranslation(translate: TranslateService): Promise<void>;
    /**
     * Load translation files
     * @param translate
     */
    private loadTranslationFiles;
    /**
     * Get default language
     * @param translate
     * @returns string
     */
    private getDefaultLanguage;
    static ɵfac: i0.ɵɵFactoryDeclaration<LanguageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LanguageService>;
}
